Skip to main content
GET
Get a user

Authorizations

Authorization
string
header
required

Bearer JWT issued to your business account during onboarding

Path Parameters

id
string
required

Response

200 - application/json
userId
string
required

End user id (users._id)

Example:

"507f1f77bcf86cd799439013"

name
string
required
Example:

"Jane Doe"

email
string
required
Example:

"jane@example.com"

kycStatus
enum<string>
required
Available options:
new,
pending,
approved,
rejected,
declined
Example:

"pending"

subAccount
object
required
twoFactorEnabled
boolean
required

Whether Google Authenticator 2FA is enabled for this end user

Example:

true

emailVerified
boolean
required

Whether the end user has verified their email address

Example:

true

phoneVerified
boolean
required

Whether the end user has verified their phone number

Example:

false

firstName
string
Example:

"Jane"

lastName
string
Example:

"Doe"

verificationUrl
string

Hosted KYC link when kycStatus is new or pending

Example:

"https://verify.easyonramp.com/kyc?token=..."

phone
object | null